Package org.gradle.plugins.ide.eclipse

# Class GenerateEclipseJdt

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugins.ide.api.GeneratorTask<Jdt>
org.gradle.plugins.ide.api.PropertiesGeneratorTask<Jdt>
org.gradle.plugins.ide.eclipse.GenerateEclipseJdt

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@DisableCachingByDefault(because="Not made cacheable, yet") public abstract class GenerateEclipseJdt extends PropertiesGeneratorTask<Jdt>
Generates the Eclipse JDT configuration file. If you want to fine tune the eclipse configuration

At this moment nearly all configuration is done via `EclipseJdt`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Task

  `Task.Namer`

- ## Field Summary

  ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

  `afterConfigured, beforeConfigured, domainObject, generator`

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateEclipseJdt()`
  `GenerateEclipseJdt(EclipseJdt jdt)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `configure(Jdt jdtContent)`
  `protected Jdt`
  `create()`
  `EclipseJdt`
  `getJdt()`
  Eclipse JDT model that contains information needed to generate the JDT file.
  `protected org.gradle.api.internal.PropertiesTransformer`
  `getTransformer()`
  `void`
  `setJdt(EclipseJdt jdt)`

  ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

  `getIncremental, getInputFile, getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### GenerateEclipseJdt

    public GenerateEclipseJdt()

  - ### GenerateEclipseJdt

    @Inject public GenerateEclipseJdt(EclipseJdt jdt)

- ## Method Details

  - ### create

    protected Jdt create()
    Specified by:
      `create` in class `PropertiesGeneratorTask<Jdt>`

  - ### configure

    protected void configure(Jdt jdtContent)
    Specified by:
      `configure` in class `PropertiesGeneratorTask<Jdt>`

  - ### getTransformer

    protected org.gradle.api.internal.PropertiesTransformer getTransformer()
    Overrides:
      `getTransformer` in class `PropertiesGeneratorTask<Jdt>`

  - ### getJdt

    @Internal public EclipseJdt getJdt()
    Eclipse JDT model that contains information needed to generate the JDT file.

  - ### setJdt

    public void setJdt(EclipseJdt jdt)